/**
 * 订货单实体映射类
 * Client.java
 * Copyright (C) 2010 SLMS
 * Simple Logistics Management System
 * 
 */
package com.zds.slms.domain;

/**
 * 
 * Copyright (C) 2010:SLMS<br/>
 * Project:SLMS<br/>
 * Module ID:<br/>
 * Comments:Simple Logistics Management System<br/>
 * JDK version used:JDK1.6<br/>
 * Package:com.zds.bss.domain<br/>
 * Author:chenyongzheng<br/>
 * Create Date:2010-12-3<br/>
 * Modified By:<br/>
 * Modified Date:<br/>
 * Why & What is modified:<br/>
 * Version:0.1<br/>
 */
@SuppressWarnings("serial")
public class Stockorder implements java.io.Serializable {

	private Integer id;
	private Employee employee;
	private Merchandise merchandise;
	private Client client;
	private String code;
	private int merchandisenumber;
	private String orderdate;

	public Stockorder() {
	}

	public Stockorder(Employee employee, Merchandise merchandise,
			Client client, String code, int merchandisenumber, String orderdate) {
		this.employee = employee;
		this.merchandise = merchandise;
		this.client = client;
		this.code = code;
		this.merchandisenumber = merchandisenumber;
		this.orderdate = orderdate;
	}

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Employee getEmployee() {
		return this.employee;
	}

	public void setEmployee(Employee employee) {
		this.employee = employee;
	}

	public Merchandise getMerchandise() {
		return this.merchandise;
	}

	public void setMerchandise(Merchandise merchandise) {
		this.merchandise = merchandise;
	}

	public Client getClient() {
		return this.client;
	}

	public void setClient(Client client) {
		this.client = client;
	}

	public String getCode() {
		return this.code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public int getMerchandisenumber() {
		return this.merchandisenumber;
	}

	public void setMerchandisenumber(int merchandisenumber) {
		this.merchandisenumber = merchandisenumber;
	}

	public String getOrderdate() {
		return this.orderdate;
	}

	public void setOrderdate(String orderdate) {
		if (null != orderdate && orderdate.length() >= 10) {
			orderdate = orderdate.substring(0, 10);
		}
		this.orderdate = orderdate;
	}

}
